//============================
//      Name: BUTTONS
//============================

.btn {
 text-transform uppercase
 display flex
 text-decoration none
 position relative
 z-index 2
}

btn {
 +__() {
  .main {
   width 220px
   height 40px
   transition .25s __cubic
   cursor pointer
   text-decoration none
   user-select none
   display flex
   justify-content: center;
   align-items: center;
   font-weight bold
   &:active {
    transform translate(0, 3px)

   }
   &:after {
    content: '';
    z-index -1
    display: flex;
    width 100%
    height 100%
    font-size: 1rem;
    line-height: 1;
    text-align: center;
    background-color: red;
    position: absolute;
    transform matrix(1, 0, -0.2, 1, 0, 0)
    background-image linear-gradient(to right, #fcd119, #f8ae12)
  
   }
  }
 }
}